Subject: Re: [pcp] TR: I-D Action: draft-boucadair-pcp-sip-ipv6-00.txt

From: Sebastian Kiesel <[email-masked]>
Date: Mon, 19 Aug 2013 22:33:09 +0200

Hi,

On Wed, Jun 26, 2013 at 05:04:52PM +0200, [email-masked] wrote:
> Dear all,
> 
> I submitted this short I-D to explain how PCP can be used in IPv6 SIP deployments (with a focus on the managed networks case).

> Objet: I-D Action: draft-boucadair-pcp-sip-ipv6-00.txt

I have read this draft and I think this is a very interesting topic.
However, it is not very clear to me what the key message of this draft is.

I think there are at least two topics that deserve investigation and
discussion, with different target audiences:

1. A gap analysis for PCP, i.e., tell the PCP folks what should be
changed or added to PCP to better support this use case (if any).

2. Tell the SIP folks about PCP and its benefits. IMO this chapter
should start with a short discussion what's new compared to older
(managed) NAT/Firewall traversal approaches, e.g., MIDCOM [RFC5190,
RFC4540] and NSIS [RFC5973]. Is the interaction really straightforward,
or are there any pitfalls (e.g., [draft-kiesel-mmusic-firewall-sip-00]) to
consider?

Cheers
Sebastian

---

From: <[email-masked]>
Date: Tue, 20 Aug 2013 07:23:18 +0200

Hi Sebastien,

IMO, the PCP WG has adopted required extensions to ease SIP deployments (e.g., preserve parity, contiguous ports, discover nat64 prefix, etc.). This is why the main motivation for writing the document was your point (2): the document is to be seen as a dissemination effort towards SIP community to let them be aware about PCP and how PCP can solve complications encountered in SIP environments. 

The document was on purpose scoped to the managed networks case (this is the widely deployed SIP model). Considerations on how PCP can be of great help to ICE & cie are discussed in another document (e.g., ICE-lite, firewall traversal, etc.).

Any contribution and suggestions to better enhance the document, its readability, raise new issues, etc. are more than welcome. 

Cheers,
Med 

>-----Message d'origine-----
>De : Sebastian Kiesel [mailto:[email-masked]]
>Envoyé : lundi 19 août 2013 22:33
>À : BOUCADAIR Mohamed IMT/OLN
>Cc : [email-masked]
>Objet : Re: [pcp] TR: I-D Action: draft-boucadair-pcp-sip-ipv6-00.txt
>
>Hi,
>
>> I submitted this short I-D to explain how PCP can be used in IPv6 SIP
>deployments (with a focus on the managed networks case).
>

---

From: Sebastian Kiesel <[email-masked]>
Date: Tue, 20 Aug 2013 14:19:04 +0200

Hi Med,

if the goal is dissemination IMO there should be a "what's new compared
to other approaches" section - the SIP/RTP-NAT/Firewall traversal
problem is not new after all.

On the one hand, there are the "hole punching" and relay based
approaches, e.g., STUN/TURN/ICE, which do not directly interact
with the NAT/firewall. Probably more suitable for unmanaged networks,
so no need to go into details.

Btw: how do you define "managed network case"?

On the other hand, there are the approaches based on signaling to the
NAT/Firewall, and PCP is really not the first protocol that falls into
this category. There were attempts inside IETF (MIDCOM, SIMCO, NSIS)
and outside (UPnP, H.248), so what's new?

just my 2 cents...
Sebastian

On Tue, Aug 20, 2013 at 07:23:18AM +0200, [email-masked] wrote:
> Hi Sebastien,
> 
> IMO, the PCP WG has adopted required extensions to ease SIP
> deployments (e.g., preserve parity, contiguous ports, discover nat64
> prefix, etc.). This is why the main motivation for writing the
> document was your point (2): the document is to be seen as a
> dissemination effort towards SIP community to let them be aware about
> PCP and how PCP can solve complications encountered in SIP
> environments. 
> 
> The document was on purpose scoped to the managed networks case (this
> is the widely deployed SIP model). Considerations on how PCP can be of
> great help to ICE & cie are discussed in another document (e.g.,
> ICE-lite, firewall traversal, etc.).
> 
> Any contribution and suggestions to better enhance the document, its
> readability, raise new issues, etc. are more than welcome. 
> 
> Cheers,
> Med 
>

---

From: <[email-masked]>
Date: Tue, 20 Aug 2013 15:34:49 +0200

Re-,

Please see inline.

Cheers,
Med

>Envoyé : mardi 20 août 2013 14:19
[Med] Agree.

>Btw: how do you define "managed network case"?

[Med] managed network refers to the deployment scenario where both the service infrastructure and the underlying network infrastructure are operated by the same administrative entity. This will be added to the next revision of the draft.

>and outside (UPnP, H.248), so what's new?

[Med] For example parity bit preservation, contiguous port set and the discovery of PREFIX64 to ease NAT64 are all new features not supported by none of the mechanisms you listed.

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Fri, 23 Aug 2013 12:34:02 +0000

> -----Original Message-----
> From: Sebastian Kiesel [mailto:[email-masked]]
> Sent: Tuesday, August 20, 2013 2:03 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [pcp] TR: I-D Action: draft-boucadair-pcp-sip-ipv6-00.txt
> 
> Hi,
> 

The problems discussed in draft-kiesel-mmusic-firewall-sip-00 can also be addressed using PCP http://tools.ietf.org/html/draft-wing-pcp-third-party-authz-00; we have taken example of WebRTC in the draft to explain the problems and solution.

-Tiru.

---

From: Sebastian Kiesel <[email-masked]>
Date: Mon, 26 Aug 2013 19:59:29 +0200

Hi,

On Fri, Aug 23, 2013 at 12:34:02PM +0000, Tirumaleswar Reddy (tireddy) wrote:
> The problems discussed in draft-kiesel-mmusic-firewall-sip-00 can also
> be addressed using PCP
> http://tools.ietf.org/html/draft-wing-pcp-third-party-authz-00; we
> have taken example of WebRTC in the draft to explain the problems and
> solution.

I wouldn't say that draft-wing-pcp-third-party-authz-00 addresses the
problems identified in draft-kiesel-mmusic-firewall-sip-00 - it's more
like it avoids them by using a rather different solution approach, which
might have other drawbacks.

Once upon a time some people thought that with MIDCOM, a SIP B2BUA would
be able to control a firewall on the RTP media path, completely
transparent for the user agents.  draft-kiesel-mmusic-firewall-sip-00
summarizes problems with that approach and argues that at least for the
handling of error conditions there must be some limited support in the
user agents. Adding a PCP client to the SIP phone avoids these problems,
but seems to be more, not less, additional effort.

Sebastian

p.s.: speaking of draft-wing-pcp-third-party-authz-00: this draft could
be improved by explaining more explicitly how Figure 1 is related to
Figure 3.  Specifically, what is the relation between "WebRTC Server"
and "Authorization Server"?

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 27 Aug 2013 05:37:42 +0000

Hi Med,

comments 

[1] The title is "PCP for IPv6-enabled SIP Deployments" but the draft also discusses problems related to IPv4 networks as well.

[2] can you provide more details on what "managed networks" are considered for this draft (Mobile, Enterprise etc); An example of "managed network" with a diagram will be helpful.

[3] comments on section 2.7

a)
If the SIP server is deployed in the EPC of 3GPP network, SIP server itself can signal the network to prioritize the media streams.
Is setting DSCP values required in such networks ?

b) 
You may want to create a separate draft for DSCP_POLICY and explain How it can used with http://tools.ietf.org/html/draft-ietf-rtcweb-qos-00 which defines default set of DSCP code point values, PCP FLOWDATA option etc. 

[4] 
I guess administrator can change the policy table to prefer IPv4 addresses over IPv6 addresses as discussed in RFC 6724 and you may want to recommend in the draft that in such deployments (sections 3.1, 3.2) it is recommended to have higher precedence for IPv6.

[6] You may also want to add that PCP can also be used to Optimize IPv6 Firewall Keepalives.

[7] If managed networks like Enterprise are considered, technique discussed in http://tools.ietf.org/html/draft-wing-pcp-third-party-authz-00 would be useful.

[8]Referring to the SIP Flow example in https://tools.ietf.org/html/draft-ietf-pcp-nat64-prefix64-04#section-5.2 would be useful.

-Tiru.

> From: [email-masked] [mailto:[email-masked]]
> Sent: Wednesday, June 26, 2013 8:35 PM
> To: [email-masked]; [email-masked]; [email-masked]
> Subject: [pcp] TR: I-D Action: draft-boucadair-pcp-sip-ipv6-00.txt
> 
> Dear all,
> 
> De : [email-masked] [mailto:[email-masked]] De
> la part de [email-masked]
> Envoyé : mercredi 26 juin 2013 15:40
> À : [email-masked]
> Objet : I-D Action: draft-boucadair-pcp-sip-ipv6-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title           : PCP for IPv6-enabled SIP Deployments
> 	Author(s)       : Mohamed Boucadair
> 	Filename        : draft-boucadair-pcp-sip-ipv6-00.txt
> 	Pages           : 7
> 	Date            : 2013-06-26
> 
> Abstract:
>    This document discusses how PCP can be used in IPv6-enabled SIP
>    deployments.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-boucadair-pcp-sip-ipv6
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-boucadair-pcp-sip-ipv6-00
> 
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 27 Aug 2013 13:01:48 +0000

> Sent: Monday, August 26, 2013 11:29 PM
> To: Tirumaleswar Reddy (tireddy)
> Cc: [email-masked]; [email-masked]
> transparent for the user agents.  

Yes, PCP solves that problem using PCP THIRD_PARTY option (http://tools.ietf.org/html/rfc6887#section-13.1), where SIPB2BUA can act as PCP client.

But for scenarios where the Application Server is outside the site (for example over-the-top services) it will not be able to use PCP THIRD_PARTY option, draft-wing-pcp-third-party-authz-00 is targeted to such use cases to solve both Firewall and QOS problems (http://tools.ietf.org/html/draft-penno-pcp-mobile-qos-00) 

> draft-kiesel-mmusic-firewall-sip-00
> Figure 3.  

Sure, will update in the next version of the draft.

> Specifically, what is the relation between "WebRTC Server"
> and "Authorization Server" ?

PCP client is host (Alice); PCP server is PCP-controlled firewall; Authorization server is WebRTC Server.

--Tiru.